%global momorel 2

Name:		ql2400-firmware
Summary: 	Firmware for qlogic 2400 devices
Version:	5.03.07
Release:	%{momorel}m%{?dist}
License:	"Redistributable, no modification permitted"
Group:		System Environment/Kernel
Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2400_fw.bin
Source1:	ftp://ftp.qlogic.com/outgoing/linux/firmware/LICENSE
URL:		ftp://ftp.qlogic.com/outgoing/linux/firmware/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Firmware for qlogic 2400 devices.

%prep
%setup -n %{name} -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .

%build
# Firmware, do nothing.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware/
install -m0644 ql2400_fw.bin %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE
/lib/firmware/ql2400_fw.bin

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (5.03.07-2m)
- full rebuild for mo7 release

* Mon Aug  9 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.03.07-1m)
- update to 5.03.07

* Wed Mar 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (5.03.02-1m)
- update to 5.03.02 MID
- see ftp://ftp.qlogic.com/outgoing/linux/firmware/CURRENT_VERSIONS
- please build with --rmsrc option

* Sun Jan 17 2010 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.04.05-4m)
- src changed

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.04.05-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.04.05-2m)
- rebuild against rpm-4.6

* Tue Nov 11 2008 YAMAZAKI Makoto <zaki@zakky.org>
- (4.04.05-1m)
- updated to 4.04.05

* Sun Nov  9 2008 YAMAZAKI Makoto <zaki@zakky.org>
- (4.04.00-1m)
- correct version number

* Mon May  5 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (4.00.27-1m)
- import from Fedora

* Wed Oct 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> 4.00.27-1
- Initial package for Fedora
